Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/favorite/tv' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/favorite/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/favorite/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/zZqpAXxVSBtxV9qPBcscfXBcL2w.jpg",
"first_air_date": "2011-04-17",
"genre_ids": [
10765,
18,
10759
],
"id": 1399,
"name": "Game of Thrones",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Game of Thrones",
"overview": "Seven noble families fight for control of the mythical land of Westeros. Friction between the houses leads to full-scale war. All while a very ancient evil awakens in the farthest north. Amidst the war, a neglected military order of misfits, the Night's Watch, is all that stands between the realms of men and icy horrors beyond.",
"popularity": 1348.329,
"poster_path": "/1XS1oqL89opfnbLl8WnZY1O1uJx.jpg",
"vote_average": 8.456,
"vote_count": 24196
},
{
"adult": false,
"backdrop_path": "/cwKuMNndfjSl8iQIcAISL0C1tDZ.jpg",
"first_air_date": "2011-06-23",
"genre_ids": [
18
],
"id": 37680,
"name": "Suits",
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Suits",
"overview": "While running from a drug deal gone bad, Mike Ross, a brilliant young college-dropout, slips into a job interview with one of New York City's best legal closers, Harvey Specter. Tired of cookie-cutter law school grads, Harvey takes a gamble by hiring Mike on the spot after he recognizes his raw talent and photographic memory.",
"popularity": 950.894,
"poster_path": "/vQiryp6LioFxQThywxbC6TuoDjy.jpg",
"vote_average": 8.23,
"vote_count": 5067
}
],
"total_pages": 1,
"total_results": 2
}This endpoint retrieves a list of your favorite TV shows.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the TV show language.
"en"
This represents the page number.
"1"
This represents how the retrieved list will be arranged.
"created_at.asc"
Favorite TV
1
Show child attributes
[
{
"adult": false,
"backdrop_path": "/zZqpAXxVSBtxV9qPBcscfXBcL2w.jpg",
"first_air_date": "2011-04-17",
"genre_ids": [10765, 18, 10759],
"id": 1399,
"name": "Game of Thrones",
"origin_country": ["US"],
"original_language": "en",
"original_name": "Game of Thrones",
"overview": "Seven noble families fight for control of the mythical land of Westeros. Friction between the houses leads to full-scale war. All while a very ancient evil awakens in the farthest north. Amidst the war, a neglected military order of misfits, the Night's Watch, is all that stands between the realms of men and icy horrors beyond.",
"popularity": 1348.329,
"poster_path": "/1XS1oqL89opfnbLl8WnZY1O1uJx.jpg",
"vote_average": 8.456,
"vote_count": 24196
},
{
"adult": false,
"backdrop_path": "/cwKuMNndfjSl8iQIcAISL0C1tDZ.jpg",
"first_air_date": "2011-06-23",
"genre_ids": [18],
"id": 37680,
"name": "Suits",
"origin_country": ["US"],
"original_language": "en",
"original_name": "Suits",
"overview": "While running from a drug deal gone bad, Mike Ross, a brilliant young college-dropout, slips into a job interview with one of New York City's best legal closers, Harvey Specter. Tired of cookie-cutter law school grads, Harvey takes a gamble by hiring Mike on the spot after he recognizes his raw talent and photographic memory.",
"popularity": 950.894,
"poster_path": "/vQiryp6LioFxQThywxbC6TuoDjy.jpg",
"vote_average": 8.23,
"vote_count": 5067
}
]
1
2